Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt
Class QThreadAffinityException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.trolltech.qt.QThreadAffinityException

All Implemented Interfaces:
  java.io.Serializable

    public class QThreadAffinityException

extends java.lang.RuntimeException

The QThreadAffinityException class is thrown when a QObject is used outside its own thread. Each QObject has thread affinity, a thread that it belongs to, which is accessible through its thread() method. Accessing an object from outside this thread is forbidden to avoid concurrency problems. Qt Jambi checks if threading affinity is violated in each member of each QObject subclass. It is possible to disable this check by setting the VM runtime parameter `com.trolltech.qt.thread-check` to `false`.

See Also:
  Serialized Form

Constructor Summary
`QThreadAffinityException(java.lang.String message, QObject object, java.lang.Thread thread)` Creates a new QThreadAffinityException with the given message, object and thread.

Method Summary
`java.lang.String` | `toString()` Returns a string representation of this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QThreadAffinityException

    public QThreadAffinityException(java.lang.String message,
                                    QObject object,
                                    java.lang.Thread thread)

  Creates a new QThreadAffinityException with the given message, object and thread.

  Parameters:
    `message` - Describes the affinity exception.
    `object` - The object that was accessed.
    `thread` - The thread from which the access was made.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation of this exception.

  Overrides:
    `toString` in class `java.lang.Throwable`
  Returns:
    This exception as a string.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD